Index: trunk/source/geometry/solids/Boolean/CMakeLists.txt
===================================================================
--- trunk/source/geometry/solids/Boolean/CMakeLists.txt	(revision 1350)
+++ trunk/source/geometry/solids/Boolean/CMakeLists.txt	(revision 1350)
@@ -0,0 +1,18 @@
+#------------------------------------------------------------------------------
+# CMakeLists.txt
+# Module : G4geomBoolean
+# Package: Geant4.src.G4geometry..G4geomBoolean
+#
+# CMakeLists.txt for building a single granular library.
+#
+# Generated on : 24/9/2010
+#
+# $Id: CMakeLists.txt,v 1.1 2010/09/29 18:42:21 bmorgan Exp $
+#
+#------------------------------------------------------------------------------
+
+if(GEANT4_BUILD_GRANULAR_LIBS)
+    include(Geant4MacroLibraryTargets)
+    GEANT4_GRANULAR_LIBRARY_TARGET(COMPONENT sources.cmake)
+endif()
+
Index: trunk/source/geometry/solids/Boolean/sources.cmake
===================================================================
--- trunk/source/geometry/solids/Boolean/sources.cmake	(revision 1350)
+++ trunk/source/geometry/solids/Boolean/sources.cmake	(revision 1350)
@@ -0,0 +1,62 @@
+#------------------------------------------------------------------------------
+# sources.cmake
+# Module : G4geomBoolean
+# Package: Geant4.src.G4geometry..G4geomBoolean
+#
+# Sources description for a library.
+# Lists the sources and headers of the code explicitely.
+# Lists include paths needed.
+# Lists the internal granular and global dependencies of the library.
+# Source specific properties should be added at the end.
+#
+# Generated on : 24/9/2010
+#
+# $Id: sources.cmake,v 1.1 2010/09/29 18:42:29 bmorgan Exp $
+#
+#------------------------------------------------------------------------------
+
+# List external includes needed.
+include_directories(${CLHEP_INCLUDE_DIRS})
+
+# List internal includes needed.
+include_directories(${CMAKE_SOURCE_DIR}/source/geometry/management/include)
+include_directories(${CMAKE_SOURCE_DIR}/source/geometry/volumes/include)
+include_directories(${CMAKE_SOURCE_DIR}/source/global/HEPGeometry/include)
+include_directories(${CMAKE_SOURCE_DIR}/source/global/HEPRandom/include)
+include_directories(${CMAKE_SOURCE_DIR}/source/global/management/include)
+include_directories(${CMAKE_SOURCE_DIR}/source/graphics_reps/include)
+include_directories(${CMAKE_SOURCE_DIR}/source/intercoms/include)
+
+#
+# Define the Geant4 Module.
+#
+include(Geant4MacroDefineModule)
+GEANT4_DEFINE_MODULE(NAME G4geomBoolean
+    HEADERS
+        G4BooleanSolid.hh
+        G4BooleanSolid.icc
+        G4DisplacedSolid.hh
+        G4IntersectionSolid.hh
+        G4SubtractionSolid.hh
+        G4UnionSolid.hh
+    SOURCES
+        G4BooleanSolid.cc
+        G4DisplacedSolid.cc
+        G4IntersectionSolid.cc
+        G4SubtractionSolid.cc
+        G4UnionSolid.cc
+    GRANULAR_DEPENDENCIES
+        G4geometrymng
+        G4globman
+        G4graphics_reps
+        G4intercoms
+        G4volumes
+    GLOBAL_DEPENDENCIES
+        G4global
+        G4graphics_reps
+        G4intercoms
+    LINK_LIBRARIES
+)
+
+# List any source specific properties here
+
Index: trunk/source/geometry/solids/Boolean/test/GNUmakefile
===================================================================
--- trunk/source/geometry/solids/Boolean/test/GNUmakefile	(revision 1350)
+++ trunk/source/geometry/solids/Boolean/test/GNUmakefile	(revision 1350)
@@ -0,0 +1,51 @@
+# $Id: GNUmakefile,v 1.7 2007/03/04 14:23:25 grichine Exp $
+# ----------------------------------------------------------------
+# Makes test program in environment variable G4TARGET.
+# ----------------------------------------------------------------
+
+ifndef G4TARGET
+  G4TARGET := $(TESTTARGET)
+endif
+
+ifndef G4INSTALL
+  G4INSTALL = ../../../../..
+endif
+
+G4EXEC_BUILD = true
+
+include $(G4INSTALL)/config/architecture.gmk
+
+# Override some variables for binmake.gmk.
+#
+INCFLAGS := -I$(G4BASE)/geometry/management/include \
+            -I$(G4BASE)/geometry/solids/Boolean/include \
+            -I$(G4BASE)/geometry/solids/CSG/include \
+            -I$(G4BASE)/geometry/solids/specific/include \
+            -I$(G4BASE)/global/management/include \
+            -I$(G4BASE)/global/HEPNumerics/include \
+            -I$(G4BASE)/global/HEPRandom/include \
+            -I$(G4BASE)/global/HEPGeometry/include \
+            -I$(G4BASE)/graphics_reps/include
+
+LDLIBS   := -lG4geomBoolean -lG4csg -lG4specsolids -lG4geometrymng \
+            -lG4graphics_reps \
+            -lG4intercoms \
+            -lG4hepnumerics \
+            -lG4globman
+
+GLOB_LDLIBS   := -lG4geometry \
+            -lG4graphics_reps \
+            -lG4global
+
+include $(G4INSTALL)/config/binmake.gmk
+
+.PHONY: clean_all
+
+clean_all:
+	@for i in *.cc; do \
+	(target=`basename $$i .cc`; \
+	echo  "Removing $$target ... "; \
+	$(MAKE) clean G4SKIP_DEPEND=1 G4TARGET=$$target); done
+	@echo  "Wiping output file ... "
+	@$(RM) -rf test.out
+
Index: trunk/source/geometry/solids/Boolean/test/test.sh
===================================================================
--- trunk/source/geometry/solids/Boolean/test/test.sh	(revision 1350)
+++ trunk/source/geometry/solids/Boolean/test/test.sh	(revision 1350)
@@ -0,0 +1,10 @@
+#!/bin/sh
+echo "Run on `hostname`, which is a `uname -a` machine" | tee -a test.out
+echo `date` >> test.out
+for i in *.cc
+do
+  j=`basename $i .cc`
+  make G4TARGET=$j
+  echo Test output for $j... >> test.out
+  $G4WORKDIR/bin/$G4SYSTEM/$j >> test.out 2>&1;
+done
